## imcode.server.document.textdocument
Class CopyableHashMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              imcode.server.document.textdocument.CopyableHashMap

All Implemented Interfaces:
  LazilyLoadedObject.Copyable<CopyableHashMap>, java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class CopyableHashMap

extends java.util.HashMap
implements LazilyLoadedObject.Copyable<CopyableHashMap>

See Also:
  Serialized Form

Constructor Summary
`CopyableHashMap()`
`CopyableHashMap(java.util.Map m)`

Method Summary
`CopyableHashMap` `copy()`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### CopyableHashMap

    public CopyableHashMap()

### CopyableHashMap

    public CopyableHashMap(java.util.Map m)

Method Detail

### copy

    public CopyableHashMap copy()

  Specified by:
    `copy` in interface `LazilyLoadedObject.Copyable<CopyableHashMap>`